urpm::install(3)

NAME
urpm::install - Package installation transaction routines for urpmi

SYNOPSIS

DESCRIPTION

prepare_transaction($set, $blists, $sources)
install_logger($urpm, $type, $id, $subtype, $amount, $total)
    Standard logger for transactions

    See URPM for parameters

get_README_files($urpm, $trans, $pkg)
install($urpm, $remove, $install, $upgrade, %options)
    Install packages according to each hash (remove, install or upgrade).

    options:
         test, excludepath, nodeps, noorder (unused), delta,
         callback_inst, callback_trans, callback_uninst,
         callback_open_helper, callback_close_helper,
         post_clean_cache, verbose
      (more options for trans->run)
         excludedocs, nosize, noscripts, oldpackage, replacepkgs, justdb, ignorearch

    See URPM for callback parameters

    There's 2 callbacks that are specific to "urpm::install" though:

    •   open_helper($data, $type, $id)

    •   close_helper($db, $data, $type, $id)

    Those are called when opening/closing a package file, whether when rpmlib verify or install packages.

    The "close_helper" callback receives an extra $db parameter used in eg: drakx to check whether a package really was installed through a DB query.

COPYRIGHT
Copyright (C) 1999-2005 MandrakeSoft SA

Copyright (C) 2005-2010 Mandriva SA

Copyright (C) 2011-2017 Mageia